Support » Plugins and Hacks » XCache Object Cache Backend » [Resolved] [Plugin: XCache Object Cache Backend] Xcache 1.3

[Resolved] [Plugin: XCache Object Cache Backend] Xcache 1.3

  • Apparently this plugin doesn’t work on Xcache versions prior to 1.3 because of a dependency on the function xcache_unset_by_prefix().

    Unfortunately Dreamhost offers 1.2.2 to all its users. That’s a lot of people.

    Ideally we’d want to replace that function with something that does the same thing but in the mean time, perhaps the plugin can automatically detect if the environment supports that and could notify the user that they need Xcache1.3

    I’ve updated the plugin with this fix and am attaching a diff for this.



Viewing 3 replies - 1 through 3 (of 3 total)
  • Another thing that might work:

    // xcache 1.2 backwards compatibility
    if ( !function_exists( 'xcache_unset_by_prefix' ) ) {
    	function xcache_unset_by_prefix( $prefix ) {
    		// Since we can't clear targetted cache, we'll clear all. :(
    		xcache_clear_cache(XC_TYPE_VAR, 0);
    Plugin Author Pierre Schmitz


    Thanks for the hint. I have added a workaround in version 1.0.3.

    Instead of checking if xcache_unset_by_prefix exists on every request I only do so in the flush() function as it is only used there. On a stock WP install flush() is only used by the upgrade script.

    Awesome! Thanks!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] [Plugin: XCache Object Cache Backend] Xcache 1.3’ is closed to new replies.